Instructions - Put
Creates or updates an instruction. These are custom billing instructions and are only applicable for certain customers.
PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/instructions/{instructionName}?api-version=2020-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
billing
|
path | True |
string |
The ID that uniquely identifies a billing account. |
|
billing
|
path | True |
string |
The ID that uniquely identifies a billing profile. |
|
instruction
|
path | True |
string |
Instruction Name. |
|
api-version
|
query | True |
string |
The version of the API to be used with the client request. The current version is 2020-05-01. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| properties.amount | True |
number |
The amount budgeted for this billing instruction. |
| properties.endDate | True |
string (date-time) |
The date this billing instruction is no longer in effect. |
| properties.startDate | True |
string (date-time) |
The date this billing instruction goes into effect. |
| properties.creationDate |
string (date-time) |
The date this billing instruction was created. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The request has succeeded. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
PutInstruction
Sample request
PUT https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/instructions/{instructionName}?api-version=2020-05-01
{
"properties": {
"amount": 5000,
"startDate": "2019-12-30T21:26:47.997Z",
"endDate": "2020-12-30T21:26:47.997Z"
}
}
Sample response
{
"id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/instructions/{instructionName}",
"name": "{instructionName}",
"type": "Microsoft.Billing/billingAccounts/billingProfiles/instructions",
"properties": {
"amount": 5000,
"startDate": "2019-12-30T21:26:47.997Z",
"endDate": "2020-12-30T21:26:47.997Z"
}
}
Definitions
| Name | Description |
|---|---|
|
Error |
The details of the error. |
|
Error |
Error response indicates that the service is not able to process the incoming request. The reason is provided in the error message. |
|
Error |
|
| Instruction |
An instruction. |
ErrorDetails
The details of the error.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| details |
The sub details of the error. |
|
| message |
string |
Error message indicating why the operation failed. |
| target |
string |
The target of the particular error. |
ErrorResponse
Error response indicates that the service is not able to process the incoming request. The reason is provided in the error message.
| Name | Type | Description |
|---|---|---|
| error |
The details of the error. |
ErrorSubDetails
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| message |
string |
Error message indicating why the operation failed. |
| target |
string |
The target of the particular error. |
Instruction
An instruction.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource Id. |
| name |
string |
Resource name. |
| properties.amount |
number |
The amount budgeted for this billing instruction. |
| properties.creationDate |
string (date-time) |
The date this billing instruction was created. |
| properties.endDate |
string (date-time) |
The date this billing instruction is no longer in effect. |
| properties.startDate |
string (date-time) |
The date this billing instruction goes into effect. |
| type |
string |
Resource type. |